Skip to content

Update event-source (If-Match)

PUT
/api/v1/event-sources/{name}
curl --request PUT \
--url https://example.com/api/v1/event-sources/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "authMode": "example", "burst": 1, "config": { "additionalProperty": "example" }, "createdAt": "2026-04-15T12:00:00Z", "enabled": true, "id": "example", "labels": { "additionalProperty": "example" }, "mapping": { "additionalProperty": "example" }, "name": "example", "rateLimit": 1, "secretRef": "example", "tenantId": "example", "type": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1 }'
name
required
string
Media typeapplication/json
object
authMode
required
string
burst
integer
config
object
key
additional properties
string
createdAt
required
string format: date-time
enabled
required
boolean
id
required
string
labels
object
key
additional properties
string
mapping
object
key
additional properties
string
name
required
string
rateLimit
number
secretRef
string
tenantId
required
string
type
required
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{
"authMode": "example",
"burst": 1,
"config": {
"additionalProperty": "example"
},
"createdAt": "2026-04-15T12:00:00Z",
"enabled": true,
"id": "example",
"labels": {
"additionalProperty": "example"
},
"mapping": {
"additionalProperty": "example"
},
"name": "example",
"rateLimit": 1,
"secretRef": "example",
"tenantId": "example",
"type": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"version": 1
}

OK

Media typeapplication/json
object
authMode
required
string
burst
integer
config
object
key
additional properties
string
createdAt
required
string format: date-time
enabled
required
boolean
id
required
string
labels
object
key
additional properties
string
mapping
object
key
additional properties
string
name
required
string
rateLimit
number
secretRef
string
tenantId
required
string
type
required
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{
"authMode": "example",
"burst": 1,
"config": {
"additionalProperty": "example"
},
"createdAt": "2026-04-15T12:00:00Z",
"enabled": true,
"id": "example",
"labels": {
"additionalProperty": "example"
},
"mapping": {
"additionalProperty": "example"
},
"name": "example",
"rateLimit": 1,
"secretRef": "example",
"tenantId": "example",
"type": "example",
"updatedAt": "2026-04-15T12:00:00Z",
"version": 1
}

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}